@import "@/assets/scss/global";
.drop-down{
    button {
        height: 40px;

        svg {

            path {
                fill: #FFF;
            }
        }
    }

    [class~='rs-dropdown-toggle'] {
        height: 40px;
        background: $secondary-color;
        min-width: 150px;
        border-radius: 12px;
        border: none;
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: center;
        gap: 3px;
        cursor: pointer;
        padding: 5px 10px;
        font-weight: 500;
        font-size: 13px;
        line-height: 17px;
        color: #FFF;
        transition: none;

        svg {
            position: relative;
            top: 0;
            right: 0;

            path {
                fill: #FFF;
            }
        }

        &:hover {
            background: $secondary-color;
            color: #FFF;
            box-shadow: none;
        }

    }

    [class~='rs-dropdown-menu'] {
        margin-top: 10px;
        padding: 10px;
        background: #FFF;
        box-shadow: 0px 12px 20px rgba(9, 9, 9, 0.1);
        border-radius: 12px;
    }

    [class~='rs-dropdown-item'] {
        padding: 10px 20px;
        border-radius: 8px;
        font-weight: 500;
        font-size: 14px;
        line-height: 20px;
        color: $dark-color;
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: flex-start;
        gap: 10px;

        svg {
            path {
                fill: #8E91A0;
            }

            [stroke-linejoin="round"] {
                stroke: #8E91A0;
            }
        }

        &:hover {
            background: #E0E1FE;
            color: #7660FE;

            svg {
                path {
                    fill: #7660FE;
                }

                [stroke-linejoin="round"] {
                    stroke: #7660FE;
                }
            }
        }
    }

    &.outline{

        [class~='rs-dropdown-toggle'] {
            height: 40px;
            min-width: 150px;
            border-radius: 12px;
            display: flex;
            flex-direction: row;
            align-items: center;
            justify-content: center;
            gap: 3px;
            cursor: pointer;
            padding: 5px 10px;
            font-weight: 500;
            font-size: 13px;
            line-height: 17px;
            transition: none;
            border: 1px solid #EF4E2B;
            background: #FFF;
            color: #EF4E2B;

            svg {
                position: relative;
                top: 0;
                right: 0;

                path {
                    fill: #EF4E2B;
                }
            }

            &:hover {
                background: #FFF;
                color: #EF4E2B;
                box-shadow: none;
            }

        }

        [class~='rs-dropdown-menu'] {
            margin-top: 10px;
            padding: 10px;
            background: #FFF;
            box-shadow: 0px 12px 20px rgba(9, 9, 9, 0.1);
            border-radius: 12px;
        }

        [class~='rs-dropdown-item'] {
            padding: 10px 20px;
            border-radius: 8px;
            font-weight: 500;
            font-size: 14px;
            line-height: 20px;
            color: $dark-color;
            display: flex;
            flex-direction: row;
            align-items: center;
            justify-content: flex-start;
            gap: 10px;

            svg {
                path {
                    fill: #8E91A0;
                }

                [stroke-linejoin="round"] {
                    stroke: #8E91A0;
                    fill: none;
                }
            }

            &:hover {
                background: #FFF8F4;
                color: #EF4E2B;

                svg {
                    path {
                        fill: #EF4E2B;
                    }

                    [stroke-linejoin="round"] {
                        stroke: #EF4E2B;
                        fill: none;
                    }
                }
            }
        }
    }
}